Subject: Is rot a problem with daylilies/ An Answer

From: [email-masked] (Glenn T. Welsh)
Date: Wed, 15 Mar 1995 14:51:42 GMT

The answer is yes...and no. It depends what you have..that is, are they 
evergreen, semi-evergreen or dormant types. The evergreen types are more likely 
to get 'rot' than the dormants. Also, rot has become a problem in some of the 
newer cultivars because of 'line-breeding'. Depending on where you live, you 
may be better off with dormants than the evergreen types. Most semi-evergreen 
types will do okay throughout the country, but dormants will dot grow where 
there isn't some cold to make them go dormant. If you want to know more about 
daylilies, E-Mail me back...I can go on for pages.

Glenn